var AppLog = ''
var isStarted = ''
var HataDurum = ''
var CalisanSekmeId = 0
var CalisanSekmeIndex = 0
chrome.runtime.onInstalled.addListener(function () {
    chrome.contextMenus.create({
        id: 'nextOrder',
        title: 'Sonraki Sipariş',
        contexts: ['all'],
    })
    chrome.contextMenus.create({
        id: 'buyAll',
        title: 'Siparişi Tamamla',
        contexts: ['all'],
    })
})

chrome.contextMenus.onClicked.addListener((info, tab) => {
    if (info.menuItemId === 'nextOrder') {
        // nextOrder menü öğesi tıklandığında yapılacak işlemler
        console.log('Sonraki Sipariş menü öğesi tıklandı!')
    } else if (info.menuItemId === 'buyAll') {
        // buyAll menü öğesi tıklandığında yapılacak işlemler
        console.log('Siparişi Tamamla menü öğesi tıklandı!')
    }
})

chrome.commands.onCommand.addListener((command, tab) => {
    if (command === 'trigger_next_order') {
        // Klavye kısayolu tetiklendiğinde yapılacak işlemler
        console.log('Ctrl+N kısayolu ile Sonraki Sipariş tetiklendi!')
        chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
            if (tabs.length > 0) {
                const activeTabId = tabs[0].id
                console.log(`Aktif sekme ID'si: ${activeTabId}`)

                chrome.tabs.sendMessage(activeTabId, { nextOrder: true })
            } else {
                console.error('No active tab found.')
            }
        })
    }
})
chrome.contextMenus.onClicked.addListener(function (info, tab) {
    if (tab) {
        console.log('Tıkladım nextorder---' + tab.id + '---' + CalisanSekmeId)
        if (info.menuItemId === 'nextOrder') {
            CalisanSekmeId = tab.id
            chrome.tabs.sendMessage(CalisanSekmeId, {
                nextOrder: true,
            })
        }
        if (info.menuItemId === 'buyAll') {
            chrome.tabs.sendMessage(tab.id, {
                buyAll: true,
            })
            setTimeout(function () {
                chrome.tabs.remove(tab.id, function () {})
            }, 500)
        }
    }
})

chrome.runtime.onMessage.addListener(function (msg, sender, sendResponse) {
    if (msg.isStarted) {
        AppLog = msg.AppLog
        isStarted = msg.isStarted
        HataDurum = msg.HataDurum
        if (HataDurum == true) {
            chrome.browserAction.setBadgeBackgroundColor({
                color: '#9e0606',
            })
            chrome.browserAction.setBadgeText({
                text: 'Hata',
            })
        } else {
            chrome.browserAction.setBadgeBackgroundColor({
                color: '#00a65a',
            })
            chrome.browserAction.setBadgeText({
                text: 'OK',
            })
        }
    }
    if (msg.method == 'Dashboard')
        sendResponse({
            isStarted: isStarted,
            HataDurum: HataDurum,
            AppLog: AppLog,
        })

    if (msg.YenidenBaslat) {
        if (CalisanSekmeId != undefined && CalisanSekmeId > 0) {
            setTimeout(function () {
                chrome.tabs.sendMessage(CalisanSekmeId, {
                    PageReload: true,
                })
            }, 1800000)
        } else {
            chrome.tabs.query(
                {
                    active: true,
                    currentWindow: true,
                },
                function (tabs) {
                    if (tabs[0]) {
                        chrome.tabs.sendMessage(tabs[0].id, {
                            SekmeBulunamadi: true,
                        })
                    }
                }
            )
        }
    }

    if (msg.AktifSekmeBilgileri) {
        CalisanSekmeId = sender.tab.id
        CalisanSekmeIndex = parseInt(sender.tab.index) + 1
        console.log(CalisanSekmeId)
        chrome.browserAction.setBadgeBackgroundColor({
            color: '#00a65a',
        })
        chrome.browserAction.setBadgeText({
            text: 'On',
        })
    }
    if (msg.SekmeKapat) {
        var tabID = sender.tab.id
        setTimeout(function () {
            SekmeKapat(tabID)
        }, 500)
    }

    if (msg.YeniSekme) {
        var newURL = msg.Url
        setTimeout(function () {
            chrome.tabs.create({
                url: newURL,
            })
        }, 100)
        setTimeout(function () {
            chrome.browserAction.setBadgeBackgroundColor({
                color: '#00a65a',
            })
            chrome.browserAction.setBadgeText({
                text: 'On',
            })
        }, 10000)
        //
    }
})

function SekmeKapat(tabID) {
    chrome.tabs.remove(tabID, function () {})
}
